Lists the MCP resource indicators configured for an environment.
cURL
| curl "https://api.workos.com/user_management/authkit_oauth_resources" \ | |
| --header "Authorization: Bearer sk_example_123456789" |
| require "workos" | |
| WorkOS.configure do |config| | |
| config.api_key = "sk_example_123456789" | |
| end | |
| WorkOS.client.user_management.list_authkit_oauth_resources |
| from workos import WorkOSClient | |
| client = WorkOSClient(api_key="sk_example_123456789", client_id="client_123456789") | |
| client.user_management.list_authkit_oauth_resources() |
| package main | |
| import ( | |
| "context" | |
| "github.com/workos/workos-go/v10" | |
| ) | |
| func main() { | |
| client := workos.NewClient("sk_example_123456789") | |
| _, err := client.UserManagement().ListAuthkitOAuthResources(context.Background()) | |
| if err != nil { | |
| panic(err) | |
| } | |
| } |
| <?php | |
| use WorkOS\WorkOS; | |
| $workos = new WorkOS( | |
| apiKey: "sk_example_123456789", | |
| clientId: "client_123456789", | |
| ); | |
| $workos->userManagement()->listAuthkitOAuthResources(); |
| import com.workos.WorkOS; | |
| WorkOS workos = new WorkOS("sk_example_123456789"); | |
| workos.userManagement.listAuthkitOAuthResources(); |
| using WorkOS; | |
| var client = new WorkOSClient(new WorkOSOptions { | |
| ApiKey = "sk_example_123456789", | |
| ClientId = "client_123456789", | |
| }); | |
| await client.UserManagement.ListAuthkitOAuthResourcesAsync(); |
| use workos::Client; | |
| #[tokio::main] | |
| async fn main() -> Result<(), workos::Error> { | |
| let client = Client::builder() | |
| .api_key("sk_example_123456789") | |
| .client_id("client_123456789") | |
| .build(); | |
| let _result = client | |
| .user_management() | |
| .list_authkit_oauth_resources() | |
| .await?; | |
| Ok(()) | |
| } |
| { | |
| "object": "list", | |
| "data": [ | |
| { | |
| "object": "authkit_oauth_resource", | |
| "id": "authkit_oauth_resource_01EHZNVPK3SFK441A1RGBFSHRT", | |
| "uri": "https://api.example.com", | |
| "default": false, | |
| "created_at": "2026-01-15T12:00:00.000Z", | |
| "updated_at": "2026-01-15T12:00:00.000Z" | |
| } | |
| ], | |
| "list_metadata": { | |
| "before": "authkit_oauth_resource_01HXYZ123456789ABCDEFGHIJ", | |
| "after": "authkit_oauth_resource_01HXYZ987654321KJIHGFEDCBA" | |
| } | |
| } |
GET/user_management /authkit_oauth_resources
Parameters
Returns object
Adds an MCP resource indicator (RFC 8707) to an environment, leaving any others in place.
cURL
| curl --request POST \ | |
| --url "https://api.workos.com/user_management/authkit_oauth_resources" \ | |
| --header "Authorization: Bearer sk_example_123456789" \ | |
| --header "Content-Type: application/json" \ | |
| -d @- <<'BODY' | |
| { | |
| "uri": "https://api.example.com" | |
| } | |
| BODY |
| require "workos" | |
| WorkOS.configure do |config| | |
| config.api_key = "sk_example_123456789" | |
| end | |
| WorkOS.client.user_management.create_authkit_oauth_resource(uri: "https://api.example.com") |
| from workos import WorkOSClient | |
| client = WorkOSClient(api_key="sk_example_123456789", client_id="client_123456789") | |
| client.user_management.create_authkit_oauth_resource(uri="https://api.example.com") |
| package main | |
| import ( | |
| "context" | |
| "github.com/workos/workos-go/v10" | |
| ) | |
| func main() { | |
| client := workos.NewClient("sk_example_123456789") | |
| _, err := client.UserManagement().CreateAuthkitOAuthResource(context.Background(), &workos.UserManagementCreateAuthkitOAuthResourceParams{ | |
| URI: "https://api.example.com", | |
| }) | |
| if err != nil { | |
| panic(err) | |
| } | |
| } |
| <?php | |
| use WorkOS\WorkOS; | |
| $workos = new WorkOS( | |
| apiKey: "sk_example_123456789", | |
| clientId: "client_123456789", | |
| ); | |
| $workos | |
| ->userManagement() | |
| ->createAuthkitOAuthResource(uri: "https://api.example.com"); |
| import com.workos.WorkOS; | |
| import com.workos.usermanagement.UserManagementApi.CreateAuthkitOAuthResourceOptions; | |
| WorkOS workos = new WorkOS("sk_example_123456789"); | |
| CreateAuthkitOAuthResourceOptions options = | |
| CreateAuthkitOAuthResourceOptions.builder().uri("https://api.example.com").build(); | |
| workos.userManagement.createAuthkitOAuthResource(options); |
| using WorkOS; | |
| var client = new WorkOSClient(new WorkOSOptions { | |
| ApiKey = "sk_example_123456789", | |
| ClientId = "client_123456789", | |
| }); | |
| await client.UserManagement.CreateAuthkitOAuthResourceAsync(new UserManagementCreateAuthkitOAuthResourceOptions { | |
| Uri = "https://api.example.com", | |
| }); |
| use workos::Client; | |
| use workos::user_management::CreateAuthkitOAuthResourceParams; | |
| #[tokio::main] | |
| async fn main() -> Result<(), workos::Error> { | |
| let client = Client::builder() | |
| .api_key("sk_example_123456789") | |
| .client_id("client_123456789") | |
| .build(); | |
| let _result = client | |
| .user_management() | |
| .create_authkit_oauth_resource( | |
| CreateAuthkitOAuthResourceParams { | |
| uri: "https://api.example.com".into(), | |
| ..Default::default() | |
| } | |
| ) | |
| .await?; | |
| Ok(()) | |
| } |
| { | |
| "object": "authkit_oauth_resource", | |
| "id": "authkit_oauth_resource_01EHZNVPK3SFK441A1RGBFSHRT", | |
| "uri": "https://api.example.com", | |
| "default": false, | |
| "created_at": "2026-01-15T12:00:00.000Z", | |
| "updated_at": "2026-01-15T12:00:00.000Z" | |
| } |
POST/user_management /authkit_oauth_resources
Returns
Removes an MCP resource indicator from an environment. Any application consents granted against it are removed too.
cURL
| curl --request DELETE \ | |
| --url "https://api.workos.com/user_management/authkit_oauth_resources/authkit_oauth_resource_01EHZNVPK3SFK441A1RGBFSHRT" \ | |
| --header "Authorization: Bearer sk_example_123456789" |
| require "workos" | |
| WorkOS.configure do |config| | |
| config.api_key = "sk_example_123456789" | |
| end | |
| WorkOS.client.user_management.delete_authkit_oauth_resource(id: "authkit_oauth_resource_01EHZNVPK3SFK441A1RGBFSHRT") |
| from workos import WorkOSClient | |
| client = WorkOSClient(api_key="sk_example_123456789", client_id="client_123456789") | |
| client.user_management.delete_authkit_oauth_resource( | |
| id_="authkit_oauth_resource_01EHZNVPK3SFK441A1RGBFSHRT" | |
| ) |
| package main | |
| import ( | |
| "context" | |
| "github.com/workos/workos-go/v10" | |
| ) | |
| func main() { | |
| client := workos.NewClient("sk_example_123456789") | |
| _, err := client.UserManagement().DeleteAuthkitOAuthResource(context.Background(), "authkit_oauth_resource_01EHZNVPK3SFK441A1RGBFSHRT") | |
| if err != nil { | |
| panic(err) | |
| } | |
| } |
| <?php | |
| use WorkOS\WorkOS; | |
| $workos = new WorkOS( | |
| apiKey: "sk_example_123456789", | |
| clientId: "client_123456789", | |
| ); | |
| $workos | |
| ->userManagement() | |
| ->deleteAuthkitOAuthResource( | |
| id: "authkit_oauth_resource_01EHZNVPK3SFK441A1RGBFSHRT", | |
| ); |
| import com.workos.WorkOS; | |
| WorkOS workos = new WorkOS("sk_example_123456789"); | |
| workos.userManagement.deleteAuthkitOAuthResource( | |
| "authkit_oauth_resource_01EHZNVPK3SFK441A1RGBFSHRT"); |
| using WorkOS; | |
| var client = new WorkOSClient(new WorkOSOptions { | |
| ApiKey = "sk_example_123456789", | |
| ClientId = "client_123456789", | |
| }); | |
| await client.UserManagement.DeleteAuthkitOAuthResourceAsync("authkit_oauth_resource_01EHZNVPK3SFK441A1RGBFSHRT"); |
| use workos::Client; | |
| #[tokio::main] | |
| async fn main() -> Result<(), workos::Error> { | |
| let client = Client::builder() | |
| .api_key("sk_example_123456789") | |
| .client_id("client_123456789") | |
| .build(); | |
| let _result = client | |
| .user_management() | |
| .delete_authkit_oauth_resource("authkit_oauth_resource_01EHZNVPK3SFK441A1RGBFSHRT") | |
| .await?; | |
| Ok(()) | |
| } |
DELETE